#include <iostream>
#include <string>


using namespace std;

int main()
{


    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long a[6];
    string b[3];

    for(int i=0;i < 3;i++){
        cin>>b[i];
    }

    a[0] = stoll(b[0]+b[1]+b[2]);
    a[1] = stoll(b[0]+b[2]+b[1]);
    a[2] = stoll(b[1]+b[0]+b[2]);
    a[3] = stoll(b[1]+b[2]+b[0]);
    a[4] = stoll(b[2]+b[1]+b[0]);
    a[5] = stoll(b[2]+b[0]+b[1]);

    long long naj=0;

    for(int i =0; i < 6; i++){

        if(naj < a[i]){
            naj = a[i];
        }

    }
    cout<<naj;

    return 0;
}